#include "graphicalnode.h"
#include "scenetree.h"

GraphicalNode::GraphicalNode() : m_visible(true)
{

}

GraphicalNode::GraphicalNode(bool visible) : m_visible(visible)
{

}

void GraphicalNode::setSceneTree(SceneTree *tree){
    SceneNode::setSceneTree(tree);
    if(tree && m_visible)
        tree->addToIndex(this);
}

void GraphicalNode::toggleVisibility(){
    m_visible = !m_visible;
    if(m_visible){
        m_scene->addToIndex(this);
    }else{
        m_scene->removeFromIndex(this);
    }
}
